Subject: RE: not updating unwritable cache ../config.cache
From: Bernard Dautrevaux <[email-masked]>
To: "[email-masked]'" <[email-masked]>, Bernard Dautrevaux <[email-masked]>
Cc: [email-masked]
Date: Thu, 7 Oct 1999 14:02:58 +0200

> -----Original Message-----
> From: Earnie Boyd [mailto:[email-masked]]
> Sent: Thursday, October 07, 1999 1:43 PM
> To: Bernard Dautrevaux
> Cc: [email-masked]
> Subject: RE: not updating unwritable cache ../config.cache
> 
> 
> --- Bernard Dautrevaux <[email-masked]> wrote:
> -8<-
> > 
> > Why? mingw gcc is compiled and run in the cygwin 
> environment I think, so go
> > through cygwin1.dll that handles ntsec.
> > 
> -8<-
> 
> Mingw32 gcc and binutils _DO_NOT_ use the cygwin1.dll.  That 
> is the reason it
> exists.  Instead it uses the runtime from M$.  So, Kai is 
> correct that Mingw32
> doesn't care about ntsec as far as the it's implementation 
> within cygwin1.dll.
> 

I do know that the code _generated_ by mingw32 do not use cygwin1.dll;
that's effectively the reason why it exists :-)

But I think I've read that the "native" mingw32 toolset was in fact running
under cygwin and using cygwin1.dll... but perhaps this is only true for the
mingw32 cygwin-add-on, not for the independently distributed one. 

Forgive me if I'm not really sure, but for now quite a long time I'm using
always mingw32 for all my NT development, but I'm using a cross-compiler
running on UNIX (usually Linux, but I've also built the cross-toolset on
other flavors of UNIX, like Solaris, where it runs fine).

Regards,

		Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
--------------------------------------------